/*------------------------------------------------
/ About Page
/-----------------------------------------------*/

/* About Me Intro Section */
.about-me-intro__headshot img{
    width: 100%;
    object-fit: cover;
    object-position: top;
    aspect-ratio: 7 / 9;
    border-radius: var(--round);
    margin-bottom: var(--m-24);
}

.about-me-intro__graphics {
    grid-column: auto / span 4;
    flex-direction: column;
}

.about-me-intro__graphics .contact-icons a {
    font-size: 2.2rem;
}

.about-me-intro__headshot {
    max-width: 300px;
}

.about-me-intro__text ul li {
    list-style: inside;
}

.about-me-intro__text p {
    margin-bottom: var(--m-20);
}

.about-me-intro__text p:nth-last-child(4) {
    margin-bottom: var(--m-40);
}

.about-me-intro__text p:nth-last-child(3) {
    margin-bottom: var(--m-8);
}

.about-me-intro__btn {
    margin-top: var(--m-40);
}

/* My Toolkit Section */
.my-toolkit {
    background: var(--xlight-rose);
    padding: var(--m-96) 0 var(--m-8) 0;
}

.my-toolkit h2 {
    margin-bottom: var(--m-56);
}

.my-toolkit__cards {
    align-items: flex-start;
    gap: 2rem;
}

.my-toolkit__card {
    align-items: flex-start;
    justify-content: flex-start;
    background: radial-gradient(circle at 60% 65%, var(--xlight-rose-sheer) 0%, var(--white) 60%);
    border-radius: var(--round);
    padding: 2.5rem 2.5rem;
}

.my-toolkit__cards:last-child {
    margin-bottom: var(--m-80);
}

.my-toolkit h3.h4 {
    color: var(--indigo);
    margin-bottom: var(--m-24);
}

.my-toolkit h4 {
    font-size: 1rem;
}

.my-toolkit__card-dev p:last-child, 
.my-toolkit__card-design p:last-child {
    margin-bottom: 0;
} 

/* My Values Section */
.my-values h2 {
    margin-bottom: var(--m-56);
}

.my-values h3 {
    color: var(--indigo);
    margin-bottom: var(--m-24);
}

.my-values__text {
    align-items: flex-start;
    justify-content: flex-start;
    gap: 2rem;
}

.my-values__text > * {
    background: radial-gradient(circle at 70% 70%, var(--light-rose) 0%, var(--xlight-rose) 40%);
    border-radius: var(--round);
    padding: 2.5rem 2.5rem 1.5rem;
}

.my-values__content {
    margin-bottom: var(--m-72);
}

/* Toolkit & Values section cards in-between mobile & tablet */
/* Large mobile */
@media screen and (min-width: 619px) and (max-width: 767px) {

    /* My Toolkit Section */
    .my-toolkit__content h2 {
        margin-left: 2rem;
    }

    .my-toolkit__card {
        padding: 3rem 3rem;
        margin: auto 2rem;
    }

    /* My Values Section */
    .my-values__content h2 {
        margin-left: 2rem;
    }

    .my-values-empathy__text,
    .my-values-growth__text,
    .my-values-integrity__text {
        padding: 3rem 3rem 2rem;
        margin: auto 2rem;
    }

}

/* Small tablet */
@media screen and (min-width: 768px) and (max-width: 900px) {

    /* My Toolkit Section */
    .my-toolkit__content h2 {
        margin-left: 3rem;
    }

    .my-toolkit__card {
        grid-column: auto / span 12;
        padding: 3rem 3rem;
        margin: auto 3rem;
    }

    .my-toolkit__cards .my-toolkit__card {
        min-height: unset;
    }

    /* My Values Section */
    .my-values__content h2 {
        margin-left: 3rem;
    }

    .my-values-empathy__text,
    .my-values-growth__text,
    .my-values-integrity__text {
        grid-column: auto / span 12;
        padding: 3rem 3rem 2rem;
        margin: auto 3rem;
    }

}

/* Tablet */
@media screen and (min-width: 768px) {

    /* About Me Intro Section */
    .about-me-intro__content.flex {
        align-items: start;
    }
    
    .about-me-intro__graphics {
        order: 2;
        grid-column: 9 / span 4;
        display: inline-block;
    }

    .about-me-intro__text {
        order: 1;
        padding-right: 1.5rem;
    }

    .about-me-intro__graphics .contact-icons .flex {
        justify-content: center;
    }

    /* My Toolkit Section */
    .my-toolkit {
        padding: var(--m-96) 0 var(--m-16) 0;
    }
    
    .my-toolkit__card {
        min-height: 22.625rem;
    }

    .my-toolkit__cards:last-child {
        margin-bottom: var(--m-96);
    }
    
}

/* Desktop */
@media screen and (min-width: 1080px) {

    /* About Me Intro Section */
    .about-me-intro__text {
        padding-right: 1rem;
    }

    .about-me-intro__graphics {
        padding-left: 1rem;
    }

    .about-me-intro__headshot {
        max-width: unset;
    }

    /* My Toolkit Section */
    .my-toolkit {
        padding: var(--m-88) 0 var(--m-24) 0;
        margin-bottom: var(--m-96);
    }

    .my-toolkit h2 {
        margin-bottom: var(--m-72);
    }

    .my-toolkit__card {
        background: radial-gradient(circle at 60% 65%, var(--xlight-rose-sheer) 0%, var(--white) 60%);
        padding: 3rem 4rem;
        min-height: 22.625rem;
    }

    /* My Values Section */
    .my-values h2 {
        margin-bottom: var(--m-72);
    }

    .my-values__text > * {
        background: radial-gradient(circle at 70% 70%, var(--light-rose) 0%, var(--xlight-rose) 40%);
        border-radius: var(--round);
        padding: 3.2rem 2.5rem 1.5rem;
        min-height: 17.5rem;
    }
    
}

/* Large Desktop */
@media screen and (min-width: 1920px) {

    .about-me-intro__graphics {
        padding-left: 2rem;
    }

    /* My Values Section */
    .my-values__text > * {
        padding: 3rem 3rem 2rem;
        min-height: unset;
    }

}

/* X-Large Desktop */
@media screen and (min-width: 2560px) {

    .about-me-intro__graphics {
        padding-left: 3rem;
    }

}